=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-24.39trisquel2) trisquel; urgency=low

  * Removed non-free code

 -- Rubén Rodríguez Pérez <ruben@trisquel.info>  Tue, 08 Sep 2009 18:32:41 +0000

linux-ubuntu-modules-2.6.24 (2.6.24-24.39) hardy-proposed; urgency=low

  [Colin Ian King]

  * Add support for Atheros AR8121/AR8113/AR8114/AR8131/AR8132 NICs
    - LP: #341183
  * atl1c: Enable ethtool support
    - LP: #349478

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 08 Apr 2009 22:30:24 +0200

linux-ubuntu-modules-2.6.24 (2.6.24-24.38) hardy-proposed; urgency=low

  [Stefan Bader]

  * Update for bumped kernel ABI

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 17 Feb 2009 17:39:46 +0100

linux-ubuntu-modules-2.6.24 (2.6.24-23.37) hardy-proposed; urgency=low

  [Loïc Minier]

  * LPIA: Poulsbo driver 2.3.0.32L.0029 update
    - LP: #316780

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 23 Jan 2009 15:25:52 +0100

linux-ubuntu-modules-2.6.24 (2.6.24-23.36) hardy-proposed; urgency=low

  [Adrian Bunk]

  * sms1xxx: dvb/siano/: cleanups
    - LP: #301204

  [Amit Kucheria]

  * Marvell 8686 driver update from moblin to fix suspend issues
    - LP: #291558
  * LPIA: Updated poulsbo driver to 2.2.0.32L.0020
    - LP: #291582

  [Colin Ian King]

  * Enable appleir driver for new MacBook Pro
    - LP: #157919

  [Mackenzie Morgan]

  * Add quirk for ASUS Z37E to make sound audible after resume
    - LP: #25896

  [Michael Krufky]

  * au0828: add new USB IDs for HVR950Q
    - LP: #299634
  * sms1xxx: fix product name for Hauppauge WinTV MiniStick
    - LP: #299640
  * sms1xxx: Add new USB product ID for Hauppauge WinTV MiniStick
    - LP: #299636
  * sms1xxx: support two new revisions of the Hauppauge WinTV MiniStick
    - LP: #299636
  * sms1xxx: use new firmware for Hauppauge WinTV MiniStick
    - LP: #299671
  * sms1xxx: add USB IDs for Hauppauge WinTV MiniCard DVB-T
    - LP: #299680
  * sms1xxx: add autodetection support for Hauppauge WinTV MiniCard
    2040:200a
    - LP: #299680
  * sms1xxx: add functions to configure and set gpio
    - LP: #301204
  * sms1xxx: turn off LEDs after initialization of Hauppauge WinTV
    MiniStick
    - LP: #301204
  * sms1xxx: enable power LED on Hauppauge WinTV MiniStick
    - LP: #301405
  * sms1xxx: enable LNA control on Hauppauge WinTV MiniCard
    - LP: #301204
  * sms1xxx: fix invalid unc readings
    - LP: #301204
  * sms1xxx: enable signal quality indicator LEDs on Hauppauge WinTV
    MiniStick
    - LP: #301405

  [Stefan Bader]

  * Import git-ubuntu-log from kernel repository
  * alsa: backport alc662 update to enable CMPC 1.5
    - LP: #301785

  [Tim Gardner]

  * Backoport iwlwifi 5000 (Shirley Peak) wireless driver
    - LP: #264063
  * Add microcode for iwlwifi 5000.
    - LP: #264063
  * iwl3945 - set disable_hw_scan=1
    - LP: #226410

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 24 Nov 2008 17:01:59 +0100

linux-ubuntu-modules-2.6.24 (2.6.24-22.34) hardy-proposed; urgency=low

  [Amit Kucheria]

  * Marvell 8686 driver update from moblin to fix suspend issues
    - LP: #291558
  * LPIA: Updated poulsbo driver to 2.2.0.32L.0020
    - LP: #291582

  [Colin Ian King]

  * Enable appleir driver for new MacBook Pro
    - LP: #157919

  [Mackenzie Morgan]

  * Add quirk for ASUS Z37E to make sound audible after resume
    - LP: #25896

  [Stefan Bader]

  * SAUCE: buildenv: Import git-ubuntu-log from kernel repository

  [Tim Gardner]

  * Backoport iwlwifi 5000 (Shirley Peak) wireless driver
    - LP: #264063
  * Add microcode for iwlwifi 5000.
    - LP: #264063
  * iwl3945 - set disable_hw_scan=1
    - LP: #226410

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 06 Nov 2008 19:40:32 +0100
