=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-24.60netbook01) netbook-common; urgency=low

  [Jim Lieb]

  * Update rt3070 Ralink driver for Natick 2
  * rt3070sta: integrate driver into LUM build
  * rt3070sta: Enable mesh protocol function
  * rt3070sta: Turn on native WPA Supplicant option.

 -- sconklin <sconklin@ubuntu.com>  Fri, 11 Sep 2009 23:10:55 +0000

linux-ubuntu-modules-2.6.24 (2.6.24-24.59netbook01) netbook-common; urgency=low

  [Colin Ian King]

  * usbvideo: add reset_resume to uvc_driver

  [Steve Conklin]

  * match the latest kernel release

 -- sconklin <sconklin@ubuntu.com>  Thu, 10 Sep 2009 19:20:12 +0000

linux-ubuntu-modules-2.6.24 (2.6.24-24.54netbook01) netbook-common; urgency=low

  [Colin Ian King]

  * ALSA: snd-hda-intel: fix ALC662 capture device init

  [Steve Conklin]

  * Add drivers needed to support Natick platforms

 -- sconklin <sconklin@ubuntu.com>  Tue, 28 Jul 2009 18:49:47 +0000

linux-ubuntu-modules-2.6.24 (2.6.24-24.53netbook01) netbook-common; urgency=low

  * Bump ABI to match rebased kernel

 -- Steve Conklin <sconklin@canonical.com>  Thu, 07 May 2009 20:20:20 +0000

linux-ubuntu-modules-2.6.24 (2.6.24-24.51netbook30) netbook-common; urgency=low

  [Steve Conklin]

  * snd-hda-intel: enable microphone for alc272 (realtek)
    - LP: #347811

 -- Steve Conklin <sconklin@ubuntu.com>  Tue, 28 Apr 2009 14:55:15 +0000

linux-ubuntu-modules-2.6.24 (2.6.24-24.51netbook29) netbook-common; urgency=low

  [Colin Ian King]

  * SAUCE: hda-intel volume remapping for non-linear volume scales
    - LP: #249233
  * SAUCE: hda-intel volume remapping for non-linear volume scales

 -- Steve Conklin <sconklin@canonical.com>  Mon, 27 Apr 2009 22:38:48 +0000

linux-ubuntu-modules-2.6.24 (2.6.24-24.51netbook28) netbook-common; urgency=low

  * New DVB driver
  * New Poulsbo driver

 -- Steve Conklin <sconklin@canonical.com>  Fri, 17 Apr 2009 17:43:34 +0000

linux-ubuntu-modules-2.6.24 (2.6.24-24.51netbook27) netbook-common; urgency=low

  * ABI bump to -24

 -- Steve Conklin <sconklin@canonical.com>  Wed, 08 Apr 2009 13:21:19 -0500
