=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: linux-ubuntu-modules-2.6.24
 Section: base
 Priority: optional
-Maintainer: Rubén Rodríguez <ruben@trisquel.info>
+Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
 Standards-Version: 3.6.1
-Build-Depends: automake, autoconf, debhelper (>= 3), module-init-tools, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.24-24-386 [i386], linux-headers-2.6.24-24-generic [i386 amd64], linux-headers-2.6.24-24-hppa32 [hppa], linux-headers-2.6.24-24-hppa64 [hppa], linux-headers-2.6.24-24-itanium [ia64], linux-headers-2.6.24-24-lpia [lpia], linux-headers-2.6.24-24-lpiacompat [lpia], linux-headers-2.6.24-24-mckinley [ia64], linux-headers-2.6.24-24-openvz [i386 amd64], linux-headers-2.6.24-24-powerpc [powerpc], linux-headers-2.6.24-24-powerpc-smp [powerpc], linux-headers-2.6.24-24-powerpc64-smp [powerpc], linux-headers-2.6.24-24-rt [i386 amd64], linux-headers-2.6.24-24-server [i386 amd64], linux-headers-2.6.24-24-sparc64 [sparc], linux-headers-2.6.24-24-sparc64-smp [sparc], linux-headers-2.6.24-24-virtual [i386], linux-headers-2.6.24-24-xen [i386 amd64]
+Build-Depends: automake, autoconf, debhelper (>= 3), module-init-tools, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.24-24-386 [i386], linux-headers-2.6.24-24-generic [i386 amd64], linux-headers-2.6.24-24-hppa32 [hppa], linux-headers-2.6.24-24-hppa64 [hppa], linux-headers-2.6.24-24-itanium [ia64], linux-headers-2.6.24-24-lpia [lpia], linux-headers-2.6.24-24-mckinley [ia64], linux-headers-2.6.24-24-openvz [i386 amd64], linux-headers-2.6.24-24-powerpc [powerpc], linux-headers-2.6.24-24-powerpc-smp [powerpc], linux-headers-2.6.24-24-powerpc64-smp [powerpc], linux-headers-2.6.24-24-rt [i386 amd64], linux-headers-2.6.24-24-server [i386 amd64], linux-headers-2.6.24-24-sparc64 [sparc], linux-headers-2.6.24-24-sparc64-smp [sparc], linux-headers-2.6.24-24-virtual [i386], linux-headers-2.6.24-24-xen [i386 amd64]
 
 Package: linux-ubuntu-modules-2.6.24-24-386
 Architecture: i386
@@ -161,32 +161,6 @@
  that want the latest linux-ubuntu-modules headers. Please read
  /usr/share/doc/linux-headers-lum-2.6.24-24/debian.README.gz for details
 
-Package: linux-ubuntu-modules-2.6.24-24-lpiacompat
-Architecture: lpia
-Section: base
-Priority: optional
-Provides: ndiswrapper-modules-1.9
-Depends: linux-image-2.6.24-24-lpiacompat
-Pre-Depends: dpkg (>= 1.10.24)
-Description: Ubuntu supplied Linux modules for version 2.6.24 on lpiacompat for x86-compatible
- This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
- lpiacompat for x86-compatible.
- .
- You likely do not want to install this package directly. Instead, install
- the linux-lpiacompat meta-package, which will ensure that upgrades work
- correctly, and that supporting packages are also installed.
-
-Package: linux-headers-lum-2.6.24-24-lpiacompat
-Architecture: lpia
-Section: base
-Priority: optional
-Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-24-lpiacompat
-Provides: linux-headers-lum, linux-headers-lum-2.6
-Description: Header files related to linux-ubuntu-modules version 2.6.24
- This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
- that want the latest linux-ubuntu-modules headers. Please read
- /usr/share/doc/linux-headers-lum-2.6.24-24/debian.README.gz for details
-
 Package: linux-ubuntu-modules-2.6.24-24-mckinley
 Architecture: ia64
 Section: base
@@ -265,3 +239,30 @@
  that want the latest linux-ubuntu-modules headers. Please read
  /usr/share/doc/linux-headers-lum-2.6.24-24/debian.README.gz for details
 
+Package: linux-ubuntu-modules-2.6.24-24-powerpc-smp
+Architecture: powerpc
+Section: base
+Priority: optional
+Provides: 
+Depends: linux-image-2.6.24-24-powerpc-smp
+Pre-Depends: dpkg (>= 1.10.24)
+Description: Ubuntu supplied Linux modules for version 2.6.24 on 32-bit PowerPC SMP
+ This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
+ 32-bit PowerPC SMP.
+ .
+ You likely do not want to install this package directly. Instead, install
+ the linux-powerpc-smp meta-package, which will ensure that upgrades work
+ correctly, and that supporting packages are also installed.
+
+Package: linux-headers-lum-2.6.24-24-powerpc-smp
+Architecture: powerpc
+Section: base
+Priority: optional
+Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-24-powerpc-smp
+Provides: linux-headers-lum, linux-headers-lum-2.6
+Description: Header files related to linux-ubuntu-modules version 2.6.24
+ This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
+ that want the latest linux-ubuntu-modules headers. Please read
+ /usr/share/doc/linux-headers-lum-2.6.24-24/debian.README.gz for details
+
+Package: linux-ubuntu-modules-2.6.24-24-powerpc64-smp
